package com.qianhe.service;

import java.util.List;
import java.util.Map;

import com.qianhe.domain.WdWdwh;
import com.qianhe.domain.WdWdxx;

/**
 * 文档-文档维护Service接口
 * 
 * @author qianhe
 * @date 2024-02-28
 */
public interface IWdWdwhService 
{
    /**
     * 查询文档-文档维护
     * 
     * @param id 文档-文档维护主键
     * @return 文档-文档维护
     */
    public WdWdwh selectWdWdwhById(Long id);

    /**
     * 查询文档-文档维护列表
     * 
     * @param wdWdwh 文档-文档维护
     * @return 文档-文档维护集合
     */
    public List<WdWdwh> selectWdWdwhList(WdWdwh wdWdwh);

    /**
     * 新增文档-文档维护
     * 
     * @param wdWdwh 文档-文档维护
     * @return 结果
     */
    public int insertWdWdwh(WdWdwh wdWdwh);

    /**
     * 修改文档-文档维护
     * 
     * @param wdWdwh 文档-文档维护
     * @return 结果
     */
    public int updateWdWdwh(WdWdwh wdWdwh);

    /**
     * 批量删除文档-文档维护
     * 
     * @param ids 需要删除的文档-文档维护主键集合
     * @return 结果
     */
    public int deleteWdWdwhByIds(Long[] ids);

    /**
     * 删除文档-文档维护信息
     * 
     * @param id 文档-文档维护主键
     * @return 结果
     */
    public int deleteWdWdwhById(Long id);

    List<WdWdwh> getListBySjDw(WdWdwh wdWdwh);

    List<Map> getListBySjDwByType(WdWdwh wdWdwh);

    List<WdWdwh> getListByEjDw(WdWdwh wdWdwh);

    List<Map> getListByEjDwByType(WdWdwh wdWdwh);

    List<WdWdxx> getFileList(WdWdwh wdWdwh);
}
